<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RelationshipDepoimentoProduto extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('depoimento_produto', function (Blueprint $table) {
            $table->unsignedInteger('depoimento_id');
            $table->unsignedInteger('produto_id');

            $table->foreign('depoimento_id')
                  ->references('id')
                  ->on('depoimentos')
                  ->onDelete('cascade');
            $table->foreign('produto_id')
                  ->references('id')
                  ->on('produtos')
                  ->onDelete('cascade');
            $table->primary(['depoimento_id', 'produto_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
